Page MenuHomePhabricator

Select the three APIs featured at the Developer Hub prototype
Closed, ResolvedPublic

Description

Three APIs will be featured at the Developer Hub prototype through its Inspire, Explore, and Build sections. These APIs must be selected considering factors like

  • interest for new developers -- including new Wikimedia Foundation employees
  • current quality of the documentation
  • availability of projects to be showcased
  • feasibility of API sandbox support

Details

Reference
fl479

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:42 AM
flimport added a project: Web-APIs-Hub.
flimport set Reference to fl479.

qgil wrote on 2014-07-22 16:00:34 (UTC)

I'm wondering whether GSoC - OPW - GCi - FOA and v outreach programs we do in the future could be in the picture as part of the "new contributors". Are there specific APIs that are more used / needed / interesting for these developers?

eloquence wrote on 2014-07-27 18:59:00 (UTC)

I want to second RCStream as a candidate. Visualizing/tracking/analyzing changes in our projects is one of the key third party uses, and having a clear, well-understood API for this purpose is really important. We'll get lots of interest and real world feedback if we do this one right.

brainwane wrote on 2014-08-04 20:33:18 (UTC)

I talked with Brad, developers and managers from several teams, and thought about it. I have decided to focus on

  1. RCStream
  2. Content API
  3. Wikidata API (especially with a focus on multimedia data and Commons)

Longer version:

Since Erik, Ori, and a few other people have especially requested that I cover the Content and the RCStream APIs, it looked pretty clear that those should be #1 and #2. The question for me was: which part of the MediaWiki API should I improve as the third area to cover in the next couple months?

(Many of the APIs at https://www.mediawiki.org/wiki/Data_%26_Developer_Hub#Existing_APIs are parts of the MediaWiki API at api.php (albeit sometimes only with particular extensions turned on). Echo, Flow, Upload, Commons, GeoData, Mobile, Wikidata, and Account Creation are accessible that way, I believe. The APIs in that list that are not part of the api.php route are Parsoid, Content, and RCStream.)

Lydia had mentioned to me earlier her interest in substantially improving the Wikidata API docs, and there's already a community of tool/bot writers who would benefit from better documentation. Also, as we work on multimedia, it's important that we move towards putting the metadata around media files into some kind of structured data format, and it seems possible that it would go into Wikidata someday. I anticipate that there will be a lot of work in migrating from wikitext to structured data for multimedia stuff, and that this migration will have to include bot writers and other members of the larger Wikimedia community. Good documentation will enable bot writers, user script writers, and others to try out new combinations and solutions.

brainwane wrote on 2014-08-04 20:33:33 (UTC)

I believe this is now resolved.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:43 AM